// JavaScript Document
///jf noblet novembre 2001
window.history.forward(1);
var	ie4 = (document.all) && (!document.getElementById)
var	ns4 = document.layers
var dom = document.getElementById; //ie5 ou ns6
var net = (navigator.appName.substring(0,3) == "Net")

//fonction à placer dans <BODY ONLOAD="initnav()"   >
//function initnav() //précautions oratoires
//{ 	
if (ns4)
		{layerRef = "document.layers";v=".top=";h=".left="
	 	styleRef = "";ctn=".document.write('";ctn2="')";
	 	cro1="['";cro2="']";bgd=".bgColor";eg="";cro3=""
		}
	if (ie4)
		{layerRef = "document.all";cro3="";h=".pixelLeft=";v=".pixelTop="
	 	styleRef = ".style";ctn=".innerHTML";ctn2="";
		cro1="['";cro2="']";bgd=".backgroundColor";eg="="
		}
	if (dom)
		{layerRef ="document.getElementById";
		styleRef = ".style";ctn2="";eg="="
		cro1='("';h=".left=";v=".top="
		cro2='")';bgd=".backgroundColor";ctn=".innerHTML";
		cro3='"';//nécessaire pour encadrer une variable texte 
		}
		//calculatrice
function calcul(){
document.f1.tt7.value=eval(document.f1.tt6.value)}
		//points
var pt=eval(parent.haut.document.f1.t2.value); //note
var qu=0;//nbre de questions exactes
var va=0;//commutzateur
var pt2=0;//pts gagnés sur la question
var tf;
var rep1="?"; var rep2="?"; var rep3="?";
var q=eval(parent.haut.document.f1.t1.value)//#question

var repo1="progressive";
	var repo2="3 ou 3.1 cm/s";
	var repo3="1.7 ou 1.8 s";
//parent.haut.document.f1.t1.value=eval(q+1);
//chrono
var mis = 0;
var state2 = 0;

function startstop() {
if (state2 == 0) {
state2 = 1;
then2 = new Date();
then2.setTime(then2.getTime() - mis);
} else {
state2 = 0;
now2 = new Date();
mis = now2.getTime() - then2.getTime();
document.f1.T1.value = mis;
   }
}

function swreset() {
state2 = 0;
mis = 0;
document.f1.T1.value = mis;
}

function display() {
setTimeout("display();", 50);
if (state2 == 1)  {now2 = new Date();
mis = now2.getTime() - then2.getTime();
document.f1.T1.value = mis;
   }
}

window.onload=display
//fin chrono
//validation

function valider(){MM_preloadImages('x2.jpg');
	if(va==0)
	{
		
		rep2=document.f1.t2.value+" cm/s";
		rep3=document.f1.t3.value+" s";
		
if((document.f1.t2.value>=3)&&(document.f1.t2.value<=3.1)){pt+=0.75;pt2+=0.75;qu+=1;}
if((document.f1.t3.value>=1.7)&&(document.f1.t3.value<=1.8)){pt+=1;pt2+=1;qu+=1}
if (document.f1.r1[0].checked) {pt+=0.25;pt2+=0.25;qu+=1;rep1="progressive"}
if (document.f1.r1[1].checked) {rep1="périodique"}
if (document.f1.r1[2].checked) {rep1="progressive et périodique"}
	if(parent.haut.document.f1.tst8.value=="1"){alert("inutile d'essayer de tricher")}
	if(parent.haut.document.f1.tst8.value==""){	
	ptt=0.01*Math.round(pt*100);
	parent.haut.document.f1.t2.value=eval(ptt);
	ptt2=0.01*Math.round(pt2*100);
	parent.haut.document.f1.h2.value=eval(ptt2);
	//parent.haut.document.f1.h3.value=temps2;
	duree1=eval(parent.haut.document.f1.h4.value);
	//duree2=eval(duree1+s);
	//parent.haut.document.f1.h5.value=duree2;
	//parent.haut.document.f1.h4.value=s;
	parent.haut.document.f1.tst8.value="1"

	}
	va=1;}
	
	var contenu ="<div id='barre' style='position:relative; width:700px; height:22px; z-index:20; visibility: visible;'><table width='100%'  border='1' cellpadding='0' cellspacing='0' class='slt'><tr><td width='98%'>C O R R E C T I O N</td><td width='2%'><a href='#' onMouseOut='MM_swapImgRestore()' onMouseOver=MM_swapImage('Imagex','','x2.jpg',1) onclick='fermer()'><img src='x.jpg' alt='fermer' name='Imagex' width='21' height='21' border='0'></a></td></tr></table></div>"+"<table width=100%  border=0 cellspacing=0 cellpadding=0 class=rep><tr><td width=86><img src=artemis.gif width=86 height=178 alt='&#913;&#961;&#964;&#951;&#956;&#953;&#962;'></td><td width=40%><p class=text><div align=center><img src='t14-4.gif'><br> A l'aide du chronomètre et de la règle , on mesure que l'onde met environ t= 3.3 s pour parcourir x =10 cm. Sa vitesse est donc v=x/t = 3.1 cm/s<br> <img src='t14-5.gif'><br>On mesure 5.3 cm pour la longueur de la perturbation sur la corde . Chaque point est donc soumis à un mouvement pendant t = x/v = 5.3/3.1 =1.8 s</div></p></td>"+
 "<td width=60%><table width=100%  border=1 cellspacing=1 cellpadding=1 class=rep><tr><td>votre r&eacute;ponse </td>"+
 "<td>solution</td></tr><tr><td>"+rep1+"</td><td>"+repo1+"</td></tr><tr><td>"+rep2+"</td> <td>"+repo2+"</td></tr><tr><td>"+rep3+"</td> <td>"+repo3+"</td></tr><tr><tr><td colspan=2><p>vous avez "+qu+" r&eacute;ponse(s) exacte(s), vous avez gagn&eacute; "+ptt2+" point(s) </p></td></tr>"+
"<tr><td colspan=2><p>(vous pouvez aussi d&eacute;placer cette fen&ecirc;tre &agrave; la souris) </p></td></tr></table></td></tr></table> "

	
	eval(layerRef+cro1+"solu"+cro2+ctn+eg+cro3+contenu+cro3+ctn2); 
	 	if (ns4){eval(layerRef+cro1+"solu"+cro2+".document.close()");}
	 	eval(layerRef+cro1+"solu"+cro2+styleRef+".visibility = 'visible'");
		}
		
		
		function fermer(){
			eval(layerRef+cro1+"solu"+cro2+styleRef+".visibility = 'hidden'");
			eval(layerRef+cro1+"barre"+cro2+styleRef+".visibility = 'hidden'");
		}
		
// No rightclick script v.2.5
// (c) 1998 barts1000
// barts1000@aol.com
// Don't delete this header!

var message="pas de clic droit aujourd'hui!"; // Message for the alert box

// Don't edit below!

function click(e) {
if (document.all) {
if (event.button == 2) {
alert(message);
return false;
}
}
if (document.layers) {
if (e.which == 3) {
alert(message);
return false;
}
}
}
if (document.layers) {
document.captureEvents(Event.MOUSEDOWN);
}
document.onmousedown=click;
